package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.Page;

/**
 * 代理商赠送机器	实体类
 * 2017年2月15日
 * @author muzx
 *
 */
public class AgentMachine implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -1950481061235963040L;
	
	private Integer agentMachineId;					//赠送记录id
	private String agentMachineOpenId;				//代理商openid
	private Integer agentMachineType;				//代理商类型	1:付费代理商;	2:推荐人;      3:售出8台机器赠送一台
	private Integer agentMachineStatus;				//赠送状态		0:未支付	1:待确定(代理商需确定收货地址)；	2：已确定；	3：已发货
	private Integer agentMachineProductId;			//产品id
	
	private String agentMachineProductName;			//产品名称
	private Integer agentMachineColorId;			//产品颜色id
	private String agentMachineColorName;			//产品颜色名称
	private String agentMachine69code;				//机器69码
	private String agentMachineAddressInfo;			//收件人地址
	
	private String agentMachineAddressName;			//收件人姓名
	private String agentMachineAddressTel;			//收件人电话
	private String agentMachinePostName;			//快递名称
	private String agentMachinePostNum;				//快递单号
	private Date agentMachineCreateDate;			//创建时间 
	private String agentMachineRemark;				//备注
	
	private String agentNameInfo;					// 名称
	private Page page = new Page();
	private String beginDate; // 搜索开始时间

	private String endDate; // 搜索介绍时间
	public Integer getAgentMachineId() {
		return agentMachineId;
	}
	public void setAgentMachineId(Integer agentMachineId) {
		this.agentMachineId = agentMachineId;
	}
	public String getAgentMachineOpenId() {
		return agentMachineOpenId;
	}
	public void setAgentMachineOpenId(String agentMachineOpenId) {
		this.agentMachineOpenId = agentMachineOpenId;
	}
	public Integer getAgentMachineType() {
		return agentMachineType;
	}
	public void setAgentMachineType(Integer agentMachineType) {
		this.agentMachineType = agentMachineType;
	}
	public Integer getAgentMachineStatus() {
		return agentMachineStatus;
	}
	public void setAgentMachineStatus(Integer agentMachineStatus) {
		this.agentMachineStatus = agentMachineStatus;
	}
	public Integer getAgentMachineProductId() {
		return agentMachineProductId;
	}
	public void setAgentMachineProductId(Integer agentMachineProductId) {
		this.agentMachineProductId = agentMachineProductId;
	}
	public String getAgentMachineProductName() {
		return agentMachineProductName;
	}
	public void setAgentMachineProductName(String agentMachineProductName) {
		this.agentMachineProductName = agentMachineProductName;
	}
	public Integer getAgentMachineColorId() {
		return agentMachineColorId;
	}
	public void setAgentMachineColorId(Integer agentMachineColorId) {
		this.agentMachineColorId = agentMachineColorId;
	}
	public String getAgentMachineColorName() {
		return agentMachineColorName;
	}
	public void setAgentMachineColorName(String agentMachineColorName) {
		this.agentMachineColorName = agentMachineColorName;
	}
	public String getAgentMachine69code() {
		return agentMachine69code;
	}
	public void setAgentMachine69code(String agentMachine69code) {
		this.agentMachine69code = agentMachine69code;
	}
	public String getAgentMachineAddressInfo() {
		return agentMachineAddressInfo;
	}
	public void setAgentMachineAddressInfo(String agentMachineAddressInfo) {
		this.agentMachineAddressInfo = agentMachineAddressInfo;
	}
	public String getAgentMachineAddressName() {
		return agentMachineAddressName;
	}
	public void setAgentMachineAddressName(String agentMachineAddressName) {
		this.agentMachineAddressName = agentMachineAddressName;
	}
	public String getAgentMachineAddressTel() {
		return agentMachineAddressTel;
	}
	public void setAgentMachineAddressTel(String agentMachineAddressTel) {
		this.agentMachineAddressTel = agentMachineAddressTel;
	}
	public String getAgentMachinePostName() {
		return agentMachinePostName;
	}
	public void setAgentMachinePostName(String agentMachinePostName) {
		this.agentMachinePostName = agentMachinePostName;
	}
	public String getAgentMachinePostNum() {
		return agentMachinePostNum;
	}
	public void setAgentMachinePostNum(String agentMachinePostNum) {
		this.agentMachinePostNum = agentMachinePostNum;
	}
	public Date getAgentMachineCreateDate() {
		return agentMachineCreateDate;
	}
	public void setAgentMachineCreateDate(Date agentMachineCreateDate) {
		this.agentMachineCreateDate = agentMachineCreateDate;
	}
	public String getAgentMachineRemark() {
		return agentMachineRemark;
	}
	public void setAgentMachineRemark(String agentMachineRemark) {
		this.agentMachineRemark = agentMachineRemark;
	}
	
	public Page getPage() {
		return page;
	}
	public void setPage(Page page) {
		this.page = page;
	}

	
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	@Override
	public String toString() {
		return "AgentMachine [agentMachineId=" + agentMachineId
				+ ", agentMachineOpenId=" + agentMachineOpenId
				+ ", agentMachineType=" + agentMachineType
				+ ", agentMachineStatus=" + agentMachineStatus
				+ ", agentMachineProductId=" + agentMachineProductId
				+ ", agentMachineProductName=" + agentMachineProductName
				+ ", agentMachineColorId=" + agentMachineColorId
				+ ", agentMachineColorName=" + agentMachineColorName
				+ ", agentMachine69code=" + agentMachine69code
				+ ", agentMachineAddressInfo=" + agentMachineAddressInfo
				+ ", agentMachineAddressName=" + agentMachineAddressName
				+ ", agentMachineAddressTel=" + agentMachineAddressTel
				+ ", agentMachinePostName=" + agentMachinePostName
				+ ", agentMachinePostNum=" + agentMachinePostNum
				+ ", agentMachineCreateDate=" + agentMachineCreateDate
				+ ", agentMachineRemark=" + agentMachineRemark + "]";
	}
	public String getAgentNameInfo() {
		return agentNameInfo;
	}
	public void setAgentNameInfo(String agentNameInfo) {
		this.agentNameInfo = agentNameInfo;
	}
}
